[arch-commits] Commit in trayer/repos (3 files)

Eric Belanger eric at archlinux.org
Sat Oct 18 16:40:50 EDT 2008


    Date: Saturday, October 18, 2008 @ 16:40:50
  Author: eric
Revision: 15775

fixed svn conflict

Added:
  trayer/repos/extra-x86_64/trayer.diff
    (from rev 15774, trayer/trunk/trayer.diff)
Modified:
  trayer/repos/extra-x86_64/	(properties)
  trayer/repos/extra-x86_64/PKGBUILD

-------------+
 PKGBUILD    |   20 ++++++++++++--------
 trayer.diff |   22 ++++++++++++++++++++++
 2 files changed, 34 insertions(+), 8 deletions(-)


Property changes on: trayer/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /trayer/trunk:1
   + /trayer/trunk:1-15774

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-18 20:37:42 UTC (rev 15774)
+++ extra-x86_64/PKGBUILD	2008-10-18 20:40:50 UTC (rev 15775)
@@ -1,19 +1,23 @@
 # $Id$
-# Maintainer: Simo Leone <simo at archlinux.org>
+# Maintainer: Thayer Williams <thayer at archlinux.org>
 
 pkgname=trayer
 pkgver=1.0
-pkgrel=2
+pkgrel=4
 pkgdesc="Swallows GTK 1.2/2.x application docklets, and KDE docklets."
-arch=(i686 x86_64)
-url="http://fvwm-crystal.org"
-license=""
-depends=('gtk2')
-source=(http://download.gna.org/fvwm-crystal/trayer/$pkgver/$pkgname-$pkgver.tar.gz)
-md5sums=('e1b0b6464f991f2c296561e377585867')
+arch=('i686' 'x86_64')
+url="https://gna.org/projects/fvwm-crystal/"
+license=('GPL' 'MIT')
+depends=('gtk2' 'libxmu')
+options=('!makeflags')
+source=(http://download.gna.org/fvwm-crystal/trayer/$pkgver/$pkgname-$pkgver.tar.gz
+        trayer.diff)
+md5sums=('e1b0b6464f991f2c296561e377585867' '7f66eee885563871f9f76646bca6b14d')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
+  patch -Np0 -i ${startdir}/src/trayer.diff || return 1
   make || return 1
   make PREFIX=$startdir/pkg/usr install
+  install -D -m644 COPYING $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
 }

Copied: trayer/repos/extra-x86_64/trayer.diff (from rev 15774, trayer/trunk/trayer.diff)
===================================================================
--- extra-x86_64/trayer.diff	                        (rev 0)
+++ extra-x86_64/trayer.diff	2008-10-18 20:40:50 UTC (rev 15775)
@@ -0,0 +1,22 @@
+ # This patchfile was courtesy of the Debian team.  Thanks!
+--- Makefile.common
++++ Makefile.common~
+@@ -25,7 +25,7 @@
+ endif
+ 
+ # -DGTK_DISABLE_DEPRECATED does not work yet
+-CFLAGS += -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
++CFLAGS += -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED
+ 
+ %.o: %.c
+ 	$(CC) $(CFLAGS) $(INCS) -c $<
+--- panel.c
++++ panel.c~
+@@ -588,7 +588,6 @@
+     printf(" --height <number>\n");
+     printf(" --SetDockType <true|false>\n");
+     printf(" --SetPartialStrut <true|false>\n");
+-    printf(" --RoundCorners <true|false>\n");
+     printf(" --transparent <true|false>\n");
+     printf(" --alpha <number>\n");
+     printf(" --tint <int>\n");




More information about the arch-commits mailing list